/*
========================================================================
 Name        : MagicWandServerAppUi.h
 Author      : Manuela Vogler
 Copyright   : 
 Description : 
========================================================================
*/
#ifndef MAGICWANDSERVERAPPUI_H
#define MAGICWANDSERVERAPPUI_H

// [[[ begin generated region: do not modify [Generated Includes]
#include <aknviewappui.h>
// ]]] end generated region [Generated Includes]
#include "CompassServer.h"
// [[[ begin generated region: do not modify [Generated Forward Declarations]
class CMagicWandServerContainerView;
// ]]] end generated region [Generated Forward Declarations]

/**
 * @class	CMagicWandServerAppUi MagicWandServerAppUi.h
 * @brief The AppUi class handles application-wide aspects of the user interface, including
 *        view management and the default menu, control pane, and status pane.
 */
class CMagicWandServerAppUi : public CAknViewAppUi
	{
public: 
	// constructor and destructor
	CMagicWandServerAppUi();
	virtual ~CMagicWandServerAppUi();
	void ConstructL();

public:
	// from CCoeAppUi
	TKeyResponse HandleKeyEventL(
				const TKeyEvent& aKeyEvent,
				TEventCode aType );

	// from CEikAppUi
	void HandleCommandL( TInt aCommand );
	void HandleResourceChangeL( TInt aType );

	// from CAknAppUi
	void HandleViewDeactivation( 
			const TVwsViewId& aViewIdToBeDeactivated, 
			const TVwsViewId& aNewlyActivatedViewId );

private:
	void InitializeContainersL();
	// [[[ begin generated region: do not modify [Generated Methods]
public: 
	// ]]] end generated region [Generated Methods]
	
	// [[[ begin generated region: do not modify [Generated Instance Variables]
private: 
	/**
	 * The container view.
	 */
	CMagicWandServerContainerView* iMagicWandServerContainerView;
	// ]]] end generated region [Generated Instance Variables]
	
	/**
	 * The CompassServer used to communicate with a client.
	 */
	CCompassServer* iServer;	
	};

#endif // MAGICWANDSERVERAPPUI_H			
